/*
 * a1-inter.h
 * Copyright (C) 2006-2019, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __LIBx1f4_a1_INTER_H__
#define __LIBx1f4_a1_INTER_H__

#include <a1-types.h>
#include <c1.h>
#include <e4.h>
#include <nl.h>
#include <trans.h>

extern int _x1f4_a1_090818_error_0(void *, const char *);
extern int _x1f4_a1_090818_error_1(void *, const char *, unsigned);
extern int _x1f4_a1_090818_error_2(void *, const char *);
extern int _x1f4_a1_090818_error_3(void *, const char *, unsigned);
extern int _x1f4_a1_090818_error_4(void *, const char *, unsigned);
extern int _x1f4_a1_090818_error_5(void *, const char *);
extern int _x1f4_a1_090818_error_6(void *, const char *);
extern int _x1f4_a1_090818_error_7(void *);
extern int _x1f4_a1_090819_error_0(void *, const char *);
extern int _x1f4_a1_090819_error_1(void *, const char *);
extern int _x1f4_a1_090819_error_2(void *, const char *);
extern int _x1f4_a1_090819_error_3(void *, const char *);
extern int _x1f4_a1_090820_error_0(void *, const char *);
extern int _x1f4_a1_090821_error_0(void *, const char *);
extern int _x1f4_a1_090822_error_0(void *, const char *, int);
extern int _x1f4_a1_090822_error_1(void *, const char *);
extern int _x1f4_a1_090822_error_3(void *);
extern int _x1f4_a1_090822_error_4(void *, const char *, unsigned);
extern int _x1f4_a1_090822_error_5(void *, const char *, unsigned);
extern int _x1f4_a1_090828_error_0(void *, const char *);
extern int _x1f4_a1_091210_error_0(void *, const char *, unsigned);
extern int _x1f4_a1_101114_error_0
    (void *, const char *, struct a1_node_type *);
extern int _x1f4_a1_101115_error_0
    (void *, const char *, unsigned, struct a1_node_type *);
extern int _x1f4_a1_101115_error_1
    (void *, const char *, const char *, unsigned, struct a1_node_type *);
extern int _x1f4_a1_101116_error_0
    (void *, const char *, unsigned, struct a1_node_type *, int, int);
extern int _x1f4_a1_101116_error_1
    (void *, const char *, unsigned, struct a1_node_type *, unsigned, int,
     int);
extern int _x1f4_a1_101116_error_2
    (void *, const char *, unsigned, struct a1_node_type *, unsigned);
extern int _x1f4_a1_111111_error_0(void *, const char *, int);
extern int _x1f4_a1_111221_error_0(void *, const char *, int);
extern int _x1f4_a1_130414_error_0(void *, const char *, unsigned);
extern int _x1f4_a1_130806_error_0(void *, const char *, int);
extern int _x1f4_a1_181003_error_0(void *);
extern int _x1f4_a1_back_node
    (const struct x1f4_function_type *, struct a1_pipe_type *);
extern int _x1f4_a1_call_auto(unsigned, const void *);
extern int _x1f4_a1_deck_aime(void *, void *, void **);
extern int _x1f4_a1_draw_call
    (void *, void *, void **, int, const char *, unsigned);
extern int _x1f4_a1_dump_news(void *, struct x1f4_nodelink_type *);
extern int _x1f4_a1_fast_node
    (const struct x1f4_function_type *, struct a1_pipe_type *);
extern int _x1f4_a1_fine_news(void *, void *);
extern int _x1f4_a1_fix_last
    (const void *, const struct x1f4_function_type *, void **);
extern int _x1f4_a1_flat_news(void *, void **);
extern int _x1f4_a1_fold_call
    (struct a1_instant_type *, void *, void **, struct x1f4_linetext_type *,
     int, int, int, const struct x1f4_function_type *, int, int);
extern int _x1f4_a1_free_news
    (void *, void *, struct x1f4_nodelink_type **,
     const struct x1f4_nodelink_type *);
extern int _x1f4_a1_get_last
    (const char *, unsigned, const void *, const struct x1f4_function_type **);
extern int _x1f4_a1_hash_news
    (void *, struct x1f4_nodelink_type **, struct x1f4_nodelink_type *);
extern int _x1f4_a1_heap_news
    (void *, struct x1f4_nodelink_type **, void *);
extern int _x1f4_a1_hold_call
    (void **, void **, unsigned, unsigned, char *, int *,
     struct a1_instant_type *, const int *, const int *, unsigned, int, int,
     unsigned, int, int);
extern int _x1f4_a1_into_call
    (void *, void *, void **, int, const char *, unsigned);
extern int _x1f4_a1_keep_call
    (void **, unsigned, char *, int *, struct a1_instant_type *, const int *,
     unsigned, int, unsigned, int, int);
extern int _x1f4_a1_land_cast(void *, int, struct a1_instant_type *);
extern int _x1f4_a1_lead_blue(void **, void **, struct a1_link_type *, void *);
extern int _x1f4_a1_lead_gray(void **, void **, struct a1_link_type *, void *);
extern int _x1f4_a1_lead_link(void *);
extern int _x1f4_a1_lead_lock(void **, void **, struct a1_link_type *, void *);
extern int _x1f4_a1_lead_node(void **, void **, struct a1_link_type *, void *);
extern int _x1f4_a1_lead_side
    (struct a1_instant_type *, unsigned, void **, unsigned, void **,
     const struct x1f4_function_type *);
extern int _x1f4_a1_lead_slip
    (struct a1_instant_type *, void **, struct a1_link_type *,
     const struct x1f4_function_type *, const struct x1f4_function_type *,
     void *);
extern int _x1f4_a1_lead_text(void **, void **, struct a1_link_type *, void *);
extern int _x1f4_a1_lift_call
    (struct a1_instant_type *, void *, void **, struct x1f4_linetext_type *,
     int, int, int, const struct x1f4_function_type *, int, int);
extern int _x1f4_a1_line_aime(void *, struct x1f4_linetext_type *);
extern int _x1f4_a1_line_node
    (struct a1_instant_type *, struct a1_node_type *, unsigned, void **);
extern int _x1f4_a1_link_aime(void *, void *, void **);
extern int _x1f4_a1_lock_list(void *);
extern int _x1f4_a1_lose_node
    (const struct x1f4_function_type *, struct a1_pipe_type *);
extern int _x1f4_a1_miss_fast(struct a1_instant_type *, struct a1_fast_type *);
extern int _x1f4_a1_miss_lane(struct trans_type *, struct a1_link_type *);
extern int _x1f4_a1_miss_node(struct a1_node_type *);
extern int _x1f4_a1_miss_port(struct a1_trans19_type *);
extern int _x1f4_a1_miss_slip(struct a1_node_type *);
extern int _x1f4_a1_null_news
    (void *, struct x1f4_nodelink_type **, void *);
extern int _x1f4_a1_pass_node
    (struct a1_shuffle_type *, struct a1_node_type *, void *, int);
extern int _x1f4_a1_pick_last(const char *, unsigned, const void *);
extern int _x1f4_a1_plan_slip
    (struct a1_shuffle_type *, struct a1_trans18_type *, int *, void *,
     int (*)(void *));
extern int _x1f4_a1_push_node
    (struct a1_shuffle_type *, struct a1_instant_type *, struct a1_node_type *,
     void **);
extern int _x1f4_a1_side_news(void *, void *);
extern int _x1f4_a1_slip_news(void *, void **);
extern int _x1f4_a1_slip_node(void *, struct a1_link_type *, void *);
extern int _x1f4_a1_slip_side
    (struct a1_instant_type *, unsigned, unsigned, void *,
     const struct x1f4_function_type *);
extern int _x1f4_a1_slip_slip
    (struct a1_instant_type *, struct a1_link_type *, int,
     const struct x1f4_function_type *, const struct x1f4_function_type *,
     void *);
extern int _x1f4_a1_slip_text(void *, struct a1_link_type *, void *);
extern int _x1f4_a1_stat_call(void *, const char *, unsigned);
extern int _x1f4_a1_stat_case(struct a1_trans19_type *, int);
extern int _x1f4_a1_stat_deck(void *, unsigned, long);
extern int _x1f4_a1_stat_free(void *);
extern int _x1f4_a1_stat_lall(void *, long, unsigned);
extern int _x1f4_a1_stat_land(void *, long, unsigned);
extern int _x1f4_a1_stat_link(void *);
extern int _x1f4_a1_stat_love(void *);
extern int _x1f4_a1_stat_mode(void *);
extern int _x1f4_a1_stat_miss(void *);
extern int _x1f4_a1_stat_news(void *, int);
extern int _x1f4_a1_stat_null(void *);
extern int _x1f4_a1_stat_post(void *);
extern int _x1f4_a1_stat_rend(void *, long, unsigned);
extern int _x1f4_a1_stat_this(void *, int, unsigned);
extern int _x1f4_a1_stat_time(void *, unsigned, long);
extern int _x1f4_a1_stat_trip(void *, long, unsigned);
extern int _x1f4_a1_stat_type(void *, int, int);
extern int _x1f4_a1_stat_zero(void *, const char *, unsigned);
extern int x1f4_fini_shuffle(struct a1_shuffle_type **);
extern int x1f4_gawp_shuffle
    (const char *, unsigned, const void *,
     int (*)(const char *, unsigned, const void *,
	     const struct x1f4_function_type **));
extern int x1f4_inIt_shuffle
    (struct a1_shuffle_type **, const char **, unsigned,
     const struct a1_context_type *);
extern int x1f4_lame_shuffle
    (void *, int (*)(void *, const char *, unsigned), const char *, unsigned,
     struct a1_back_type *, struct x1f4_eelookup_type *);

#endif				/* __LIBx1f4_a1_INTER_H__ */
