/*
 * lxdash-e.r.c
 * Copyright (C) 2010, 2011, 2013-2017, 2021, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <stddef.h>

#include <lxdash-inter.h>
#include <lxnote.h>
#include <lxrail.h>

static const struct x1f4_lxnote_type fail_note = {
/* *INDENT-OFF* */
    _libx1f4i0_lxlong_bset_long,
    _libx1f4i0_lxrail_cfix_rail,
    _libx1f4i0_lxdash_clip_line,
    _libx1f4i0_lxdash_dset_line,
    _libx1f4i0_lxdash_fini_line,
    _libx1f4i0_lxrail_fold_rail,
    _libx1f4i0_lxdash_fset_line,
    NULL,
    NULL,
    _libx1f4i0_lxlong_near_long,
    _libx1f4i0_lxdash_pass_line,
    NULL,
    _libx1f4i0_lxdash_seek_line,
    _libx1f4i0_lxdash_suit_line,
    _libx1f4i0_lxdash_tile_line,
    _libx1f4i0_lxlong_tune_long,
    _libx1f4i0_lxlong_uset_long,
    NULL,
    NULL,
    X1f4_LXNOTE_ODDCOUNT | X1f4_LXNOTE_OFFSUITE | X1f4_LXNOTE_TRAVERSE
/* *INDENT-ON* */
};

int
x1f4_note_lxdash(const struct x1f4_lxnote_type **lxnote)
{
    *lxnote = &fail_note;

    return 0;
}
