/*
 * lxdash-l.c.c
 * Copyright (C) 2008-2018, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <stddef.h>

#include <e4.h>
#include <lxcall.h>
#include <lxdash-drive.h>
#include <lxdash-inter.h>
#include <lxdash-types.h>

int
_libx1f4i0_lxdash_c_logique(void *context, void *output, void **input)
{
    int status;
    struct dxdash_type *dxdash_data, *dxdash_text;

    dxdash_data = I_LINE(input[0]);
    dxdash_text = I_LINE(input[1]);

    if (dxdash_data == dxdash_text) {
	status = 0;
    } else {
	void *dxtext;

	status = _libx1f4i0_lxdash_line_line(context, &dxtext);
	if (status) {
	} else {
	    status = _libx1f4i0_lxdash_late_line
		(context, dxdash_data, dxtext, dxdash_text);
	    if (status) {
	    } else {
		status = _libx1f4i0_lxdash_null_line
		    (context, NULL, dxdash_data);
		if (status) {
		} else {
		    status = _libx1f4i0_lxdash_swap_line(dxtext, dxdash_data);
		}
	    }

	    if (1) {
		int excess;

		excess = _libx1f4i0_lxdash_flat_line(context, &dxtext);
		if (excess) {
		    status = _libx1f4i0_lxcall_land_slip(excess, status);
		}
	    }
	}
    }

    if (status) {
    } else {
	l_LINE(dxdash_data, output);
    }

    return status;
}
