/*
 * lxdata-e.r.c
 * Copyright (C) 2010, 2011, 2013-2018, 2020, 2021, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <stddef.h>

#include <lxdata-inter.h>
#include <lxnote.h>

static const struct x1f4_lxnote_type fail_note = {
/* *INDENT-OFF* */
    _libx1f4i0_lxlong_bset_long,
    NULL,
    _libx1f4i0_lxdata_clip_data,
    _libx1f4i0_lxdata_dset_data,
    _libx1f4i0_lxdata_fini_data,
    _libx1f4i0_lxdata_fold_data,
    _libx1f4i0_lxdata_fset_data,
    NULL,
    _libx1f4i0_lxdata_lock_data,
    _libx1f4i0_lxlong_near_long,
    _libx1f4i0_lxdata_pass_data,
    NULL,
    _libx1f4i0_lxdata_seek_data,
    _libx1f4i0_lxdata_suit_data,
    _libx1f4i0_lxdata_tile_data,
    _libx1f4i0_lxlong_tune_long,
    _libx1f4i0_lxlong_uset_long,
    NULL,
    _libx1f4i0_lxdata_wrap_data,
    X1f4_LXNOTE_LOCKCAST | X1f4_LXNOTE_ODDCOUNT | X1f4_LXNOTE_OFFSUITE
    | X1f4_LXNOTE_TRAVERSE
/* *INDENT-ON* */
};

int
x1f4_note_lxdata(const struct x1f4_lxnote_type **lxnote)
{
    *lxnote = &fail_note;

    return 0;
}
