/*
 * lxline-q.0-k.c
 * Copyright (C) 2008-2017, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <e4.h>
#include <lxcall.h>
#include <lxline-drive.h>
#include <lxline-inter.h>
#include <lxline-types.h>

int
_libx1f4i0_lxline_0k_queued(void *context, void *output, void **input)
{
    int status;
    struct cxseek_type *cxseek_data;
    struct dxline_type *dxline_data;

    dxline_data = I_LINE(input[0]);

    cxseek_data = context;

    if (0) {
    } else {
	const char *lift;
	unsigned size;
	void *data;

	status = cxseek_data->seek
	    (dxline_data->line, I_TEXT(input[1]), &data, &lift, &size);
	if (status) {
	    struct lxline_type *lxline_data;

	    lxline_data = cxseek_data->line;

	    status = _libx1f4i0_lxcall_swap_text
		(&lxline_data->ever_a, input[2], (void *) lift, size + 1);
	    if (status) {
	    } else {
		l_MODE(1, output);
	    }
	} else {
	    if (0) {
	    } else {
		l_MODE(0, output);
		if (1) {
		    status = 0;
		}
	    }
	}
    }

    return status;
}
