/*
 * lxlist-a.m.c
 * Copyright (C) 2017, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <lxcall.h>
#include <lxlist-inter.h>
#include <lxlist-types.h>

#define lxlist(lxlist) \
    ((struct lxlist_type *) (lxlist))

int
x1f4_suit_lxlist(void *lxlist, void *trans, void *iran)
{
    return _libx1f4i0_lxcall_suit_type
	(iran, lxlist(lxlist)->link_t.datatype->type, "l_", 2, trans);
}
