/*
 * lxmode.h
 * Copyright (C) 2015, 2016, 2021, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __LIBx1f4_lxmode_types_H__
#define __LIBx1f4_lxmode_types_H__

#include <dt.h>
#include <lxlong.h>
#include <nl.h>

typedef struct fydata_type {
    union {
	X1f4_E4_C_MODE mode;
	X1f4_E4_C_TEXT text;
    } data;
} fydata_type;

typedef struct lxmode_type {
    struct lxlong_type ever_d;
    struct {
	struct x1f4_datatype_type datatype[2];
    } link_t;
} lxmode_type;

#endif				/* __LIBx1f4_lxmode_types_H__ */
