/*
 * lxxsxx-2.r.c
 * Copyright (C) 2008-2011, 2014, 2021, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <e4.h>
#include <lxport-drive.h>
#include <lxport-types.h>

#define xsport(port) \
    ((struct xsport_type *) (port))

int
_libx1f4i0_lxport_r_2xshell(void *context, void *output, void **input)
{
    struct xsport_type *xsport_data;

    xsport_data = I_PORT(input[0]);

    xsport(xsport_data)->bits &= ~I_MODE(input[1]);

    l_XSXX(xsport_data, output);

    return 0;
}
