/*
 * lxdata-s.l.c
 * Copyright (C) 2008-2014, 2018, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <lxdata-drive.h>
#include <lxdata-types.h>

int
_libx1f4i0_lxdata_l_sequent(void *context, void *output, void **input)
{
    struct dxdata_type *dxdata_data;
    unsigned size;

    dxdata_data = I_DATA(input[1]);

    l_MODE(-1, input[2]);

    size = dxdata_data->length;
    if (size) {
	l_MODE(((unsigned char *) dxdata_data->string)[size - 1], input[0]);
	l_MODE(1, output);
    } else {
	l_MODE(0, output);
    }

    return 0;
}
