/*
 * lxdecq-a.i.c
 * Copyright (C) 2017, 2018, 2021, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <lxdecq-types.h>

int
x1f4_fold_lxdecq(void *lxdecq, unsigned *copy)
{
    struct lxtext_type *lxtext_data;
    unsigned miss, pass = 0, text = 0;

    lxtext_data = ((struct lxdecq_type *) lxdecq)->link_f.text;

    miss = ((struct lxmiss_type *) lxtext_data - 1)->data.miss;
    for (; miss; miss--) {
	lxtext_data++;

	if (lxtext_data->lxtype.flags & X1f4_LX_TYPE_EXCEPT) {
	} else {
	    pass++;
	    text += lxtext_data->lxtype.size;
	}
    }

    *copy += (text * 2 + pass * 64) * 2;

    return (0 + pass) * 2;
}
