/*
 * lxline-f.r.c
 * Copyright (C) 2008-2012, 2017, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <e4.h>
#include <lxline-drive.h>
#include <lxline-types.h>

#define true(e)				1

int
_libx1f4i0_lxline_r_forward(void *context, void *output, void **input)
{
    struct dxline_type *dxline_data;

    dxline_data = I_LINE(input[0]);
    if (true(dxline_data)) {
	l_MODE(dxline_data->size, output);
    } else {
	l_MODE(0, output);
    }

    return 0;
}
