/*
 * lxport-a.m.c
 * Copyright (C) 2017, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <dt.h>
#include <lxcall.h>
#include <lxport-inter.h>
#include <lxport-types.h>

#define lxport(lxport) \
    ((struct lxport_type *) (lxport))

#define suit_type			_libx1f4i0_lxcall_suit_type

int
x1f4_suit_lxport(void *lxport, void *trans, void *iran)
{
    struct x1f4_datatype_type *datatype_data;

    datatype_data = lxport(lxport)->link_t.datatype;

    return suit_type(iran, datatype_data[0].type, "ss_", 3, trans)
	|| suit_type(iran, datatype_data[1].type, "xs_", 3, trans);
}
